> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put webappstypeappkitconfigs war



## OpenAPI

````yaml /api-reference/4.2/service-webapps-appkit.json put /webapps/type/appkit/configs/{id}/war
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service webapps-appkit
servers:
  - url: /api/apollo/
security: []
tags:
  - name: webapps-appkit
paths:
  /webapps/type/appkit/configs/{id}/war:
    put:
      tags:
        - 4.2 Webapps Appkit API
      operationId: uploadWar
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/webappAppkitInputStream'
      responses:
        default:
          description: successful operation
components:
  schemas:
    webappAppkitInputStream:
      type: object

````